package http

const (
	ErrAccessDenied         = 4003 //拒绝访问
	ErrPermissionDenied     = 4004 //没有权限
	ErrIllegalRequest       = 4005 //非法请求
	ErrInvalidPayload       = 4006 //请求数据无效
	ErrResourceCreate       = 4101 //资源创建失败
	ErrResourceUpdate       = 4102 //资源更新失败
	ErrResourceDelete       = 4103 //资源删除失败
	ErrResourceNotFound     = 4104 //资源未找到
	ErrResourceEmpty        = 4105 //资源为空
	ErrResourceExpired      = 4107 //资源已失效
	ErrResourceUnavailable  = 4108 //资源无法使用
	ErrResourceLocked       = 4109 //资源已被锁定
	ErrServerUnreachable    = 4201 //服务不可用
	ErrTemporaryUnavailable = 4202 //临时性失败
	ErrFatal                = 4204 //致命错误
)
