package http

type Userinfo struct {
	ID        string
	Name      string
	variables map[string]string
}

func (ui *Userinfo) Set(k, v string) {
	if ui.variables == nil {
		ui.variables = make(map[string]string)
	}
	ui.variables[k] = v
}

func (ui *Userinfo) Get(k string) string {
	if ui.variables == nil {
		return ""
	}
	return ui.variables[k]
}
