package kos

import "context"

type Plugin interface {
	Name() string
	Mount(ctx context.Context) (err error)
	BeforeStart() (err error)
	AfterStart() (err error)
	BeforeStop() (err error)
	AfterStop() (err error)
	Umount() (err error)
}
